package com.mortals.xhx.module.device.web;


import com.mortals.framework.web.BaseCRUDFormLong;
import com.mortals.xhx.module.device.model.DeviceTopicEntity;
import com.mortals.xhx.module.device.model.DeviceTopicQuery;

/**
* DeviceTopic
*
* 设备topic Form
*
* @author zxfei
* @date 2021-11-22
*/
public class DeviceTopicForm extends BaseCRUDFormLong<DeviceTopicEntity> {
    private DeviceTopicEntity entity = new DeviceTopicEntity();
    private DeviceTopicQuery query = new DeviceTopicQuery();
    public DeviceTopicForm(){
    }

    @Override
    public DeviceTopicEntity getEntity() {
        return entity;
    }

    public void setDeviceTopic(DeviceTopicEntity entity) {
        this.entity = entity;
    }

    @Override
    public DeviceTopicQuery getQuery() {
        return query;
    }

    public void setQuery(DeviceTopicQuery query) {
        this.query = query;
    }
}